<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_ContinuingOperationsAbstract" xlink:label="ContinuingOperationsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_ContinuingOperationsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">継続事業 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ContinuingOperationsAbstract" xlink:to="label_ContinuingOperationsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DiscontinuedOperationsAbstract" xlink:label="DiscontinuedOperationsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DiscontinuedOperationsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">非継続事業 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DiscontinuedOperationsAbstract" xlink:to="label_DiscontinuedOperationsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_ContributionsByOwnersAndDistributionsToOwners" xlink:label="ContributionsByOwnersAndDistributionsToOwners"/>
    <link:label xlink:type="resource" xlink:label="label_ContributionsByOwnersAndDistributionsToOwners" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">所有者による拠出及び所有者への分配</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ContributionsByOwnersAndDistributionsToOwners" xlink:to="label_ContributionsByOwnersAndDistributionsToOwners"/>
    <link:label xlink:type="resource" xlink:label="label_ContributionsByOwnersAndDistributionsToOwners_3" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="ja">所有者による拠出及び所有者への分配合計</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ContributionsByOwnersAndDistributionsToOwners" xlink:to="label_ContributionsByOwnersAndDistributionsToOwners_3"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_CommunicationsEquipmentReportableSegmentMember" xlink:label="CommunicationsEquipmentReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_CommunicationsEquipmentReportableSegmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">通信機器、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CommunicationsEquipmentReportableSegmentMember" xlink:to="label_CommunicationsEquipmentReportableSegmentMember"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_MeasurementInstrumentsReportableSegmentMember" xlink:label="MeasurementInstrumentsReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_MeasurementInstrumentsReportableSegmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">計測機器、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MeasurementInstrumentsReportableSegmentMember" xlink:to="label_MeasurementInstrumentsReportableSegmentMember"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_IndustrialMachineryReportableSegmentMember" xlink:label="IndustrialMachineryReportableSegmentMember"/>
    <link:label xlink:type="resource" xlink:label="label_IndustrialMachineryReportableSegmentMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">産業機械、報告セグメント [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IndustrialMachineryReportableSegmentMember" xlink:to="label_IndustrialMachineryReportableSegmentMember"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AdjustmentForPensionExpenseMember" xlink:label="AdjustmentForPensionExpenseMember"/>
    <link:label xlink:type="resource" xlink:label="label_AdjustmentForPensionExpenseMember" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">年金費用の調整 [メンバー]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AdjustmentForPensionExpenseMember" xlink:to="label_AdjustmentForPensionExpenseMember"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfEventsAfterReportingPeriodAbstract" xlink:label="DisclosureOfEventsAfterReportingPeriodAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfEventsAfterReportingPeriodAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">後発事象の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfEventsAfterReportingPeriodAbstract" xlink:to="label_DisclosureOfEventsAfterReportingPeriodAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfIncomeTaxAbstract" xlink:label="DisclosureOfIncomeTaxAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfIncomeTaxAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">法人所得税の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfIncomeTaxAbstract" xlink:to="label_DisclosureOfIncomeTaxAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfCommitmentsAbstract" xlink:label="DisclosureOfCommitmentsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfCommitmentsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">コミットメント [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfCommitmentsAbstract" xlink:to="label_DisclosureOfCommitmentsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfPropertyPlantAndEquipment2Abstract" xlink:label="DisclosureOfPropertyPlantAndEquipment2Abstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfPropertyPlantAndEquipment2Abstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">有形固定資産の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfPropertyPlantAndEquipment2Abstract" xlink:to="label_DisclosureOfPropertyPlantAndEquipment2Abstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfIntangibleAssets2Abstract" xlink:label="DisclosureOfIntangibleAssets2Abstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfIntangibleAssets2Abstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">無形資産の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfIntangibleAssets2Abstract" xlink:to="label_DisclosureOfIntangibleAssets2Abstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfBusinessCombinations2Abstract" xlink:label="DisclosureOfBusinessCombinations2Abstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfBusinessCombinations2Abstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">企業結合の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfBusinessCombinations2Abstract" xlink:to="label_DisclosureOfBusinessCombinations2Abstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfLeasesAbstract" xlink:label="DisclosureOfLeasesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfLeasesAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">リースの開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfLeasesAbstract" xlink:to="label_DisclosureOfLeasesAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfFinancialInstruments2Abstract" xlink:label="DisclosureOfFinancialInstruments2Abstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfFinancialInstruments2Abstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">金融商品の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfFinancialInstruments2Abstract" xlink:to="label_DisclosureOfFinancialInstruments2Abstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfSummaryOfSignificantAccountingPoliciesAbstract" xlink:label="DisclosureOfSignificantAccountingPoliciesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSignificantAccountingPoliciesAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">重要な会計方針の要約の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSignificantAccountingPoliciesAbstract" xlink:to="label_DisclosureOfSignificantAccountingPoliciesAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfAccountingJudgementsAndEstimatesAbstract" xlink:label="DisclosureOfJudgementsWithSignificantAccountingEstimateAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfJudgementsWithSignificantAccountingEstimateAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">会計上の判断及び見積りの開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfJudgementsWithSignificantAccountingEstimateAbstract" xlink:to="label_DisclosureOfJudgementsWithSignificantAccountingEstimateAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfDividendsAbstract" xlink:label="DisclosureOfDividendsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfDividendsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">配当金の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfDividendsAbstract" xlink:to="label_DisclosureOfDividendsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfNotesAndOtherExplanatoryInformationAbstract" xlink:label="DisclosureOfNotesAndOtherExplanatoryInformationAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfNotesAndOtherExplanatoryInformationAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">注記及びその他の説明的情報の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNotesAndOtherExplanatoryInformationAbstract" xlink:to="label_DisclosureOfNotesAndOtherExplanatoryInformationAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfEmployeeBenefitsAbstract" xlink:label="DisclosureOfEmployeeBenefitsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfEmployeeBenefitsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">従業員給付の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfEmployeeBenefitsAbstract" xlink:to="label_DisclosureOfEmployeeBenefitsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract" xlink:label="DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">財務諸表に関する全般的情報の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract" xlink:to="label_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatoryAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfEarningsPerShareAbstract" xlink:label="DisclosureOfEarningsPerShareAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfEarningsPerShareAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">1株当たり利益の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfEarningsPerShareAbstract" xlink:to="label_DisclosureOfEarningsPerShareAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract" xlink:label="DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">株式資本、剰余金及びその他の資本持分の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract" xlink:to="label_DisclosureOfShareCapitalReservesAndOtherEquityInterestAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfOtherInvestmentAbstract" xlink:label="DisclosureOfOtherInvestmentAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfOtherInvestmentAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">その他の投資の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfOtherInvestmentAbstract" xlink:to="label_DisclosureOfOtherInvestmentAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfOtherInvestmentExplanatory" xlink:label="DisclosureOfOtherInvestmentExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfOtherInvestmentExplanatory" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">その他の投資の開示 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfOtherInvestmentExplanatory" xlink:to="label_DisclosureOfOtherInvestmentExplanatory"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfTradeAndOtherReceivablesAbstract" xlink:label="DisclosureOfReceivablesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfReceivablesAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">売掛金及びその他の債権の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfReceivablesAbstract" xlink:to="label_DisclosureOfReceivablesAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfOtherFinancialLiabilitiesAbstract" xlink:label="DisclosureOfOtherFinancialLiabilitiesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfOtherFinancialLiabilitiesAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">その他の金融負債の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfOtherFinancialLiabilitiesAbstract" xlink:to="label_DisclosureOfOtherFinancialLiabilitiesAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfOtherFinancialLiabilitiesExplanatory" xlink:label="DisclosureOfOtherFinancialLiabilitiesExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfOtherFinancialLiabilitiesExplanatory" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">その他の金融負債の開示 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfOtherFinancialLiabilitiesExplanatory" xlink:to="label_DisclosureOfOtherFinancialLiabilitiesExplanatory"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfDeferredIncomeAbstract" xlink:label="AnalysisOfDeferredIncomeAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfDeferredIncomeAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">繰延収益の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfDeferredIncomeAbstract" xlink:to="label_AnalysisOfDeferredIncomeAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfRevenueAbstract" xlink:label="AnalysisOfRevenueAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfRevenueAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">収益の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfRevenueAbstract" xlink:to="label_AnalysisOfRevenueAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfOtherRevenueAbstract" xlink:label="AnalysisOfOtherRevenueAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfOtherRevenueAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">その他の収益の分析 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfOtherRevenueAbstract" xlink:to="label_AnalysisOfOtherRevenueAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfOtherRevenueExplanatory" xlink:label="AnalysisOfOtherRevenueExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfOtherRevenueExplanatory" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">その他の収益の分析 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfOtherRevenueExplanatory" xlink:to="label_AnalysisOfOtherRevenueExplanatory"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfOtherExpenseAbstract" xlink:label="AnalysisOfOtherExpenseAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfOtherExpenseAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">その他の費用の分析 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfOtherExpenseAbstract" xlink:to="label_AnalysisOfOtherExpenseAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfOtherExpenseExplanatory" xlink:label="AnalysisOfOtherExpenseExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfOtherExpenseExplanatory" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">その他の費用の分析 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfOtherExpenseExplanatory" xlink:to="label_AnalysisOfOtherExpenseExplanatory"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfEmployeeExpenseAbstract" xlink:label="AnalysisOfEmployeeExpenseAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfEmployeeExpenseAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">人件費の分析 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfEmployeeExpenseAbstract" xlink:to="label_AnalysisOfEmployeeExpenseAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_AnalysisOfEmployeeExpenseExplanatory" xlink:label="AnalysisOfEmployeeExpenseExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfEmployeeExpenseExplanatory" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">人件費の分析 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfEmployeeExpenseExplanatory" xlink:to="label_AnalysisOfEmployeeExpenseExplanatory"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DescriptionOfAccountingPolicyForFinanceIncomeAndCostsAbstract" xlink:label="AnalysisOfFinanceIncomeAndFinanceCostsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_AnalysisOfFinanceIncomeAndFinanceCostsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">財務収益及び財務費用についての会計方針の記述 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AnalysisOfFinanceIncomeAndFinanceCostsAbstract" xlink:to="label_AnalysisOfFinanceIncomeAndFinanceCostsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfRelatedPartyAbstract" xlink:label="DisclosureOfRelatedPartyAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfRelatedPartyAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">関連当事者の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfRelatedPartyAbstract" xlink:to="label_DisclosureOfRelatedPartyAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfInventoriesAbstract" xlink:label="DisclosureOfInventoriesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfInventoriesAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">棚卸資産の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfInventoriesAbstract" xlink:to="label_DisclosureOfInventoriesAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfInvestmentsAccountedForUsingEquityMethodAbstract" xlink:label="DisclosureOfInvestmentAccountedForUsingEquityMethodAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfInvestmentAccountedForUsingEquityMethodAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">持分法で会計処理する投資の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfInvestmentAccountedForUsingEquityMethodAbstract" xlink:to="label_DisclosureOfInvestmentAccountedForUsingEquityMethodAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfProvisionsAbstract" xlink:label="DisclosureOfProvisionsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfProvisionsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">引当金の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfProvisionsAbstract" xlink:to="label_DisclosureOfProvisionsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfContingentEventsAbstract" xlink:label="DisclosureOfContingentEventsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfContingentEventsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">偶発事象の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfContingentEventsAbstract" xlink:to="label_DisclosureOfContingentEventsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfContingentEventsExplanatory" xlink:label="DisclosureOfContingentEventsExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfContingentEventsExplanatory" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">偶発事象の開示 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfContingentEventsExplanatory" xlink:to="label_DisclosureOfContingentEventsExplanatory"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfNoncurrentAssetsHeldForSaleAbstract" xlink:label="DisclosureOfNoncurrentAssetsHeldForSaleAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfNoncurrentAssetsHeldForSaleAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">売却目的で保有する非流動資産の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNoncurrentAssetsHeldForSaleAbstract" xlink:to="label_DisclosureOfNoncurrentAssetsHeldForSaleAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfNoncurrentAssetsHeldForSaleExplanatory" xlink:label="DisclosureOfNoncurrentAssetsHeldForSaleExplanatory"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfNoncurrentAssetsHeldForSaleExplanatory" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">売却目的で保有する非流動資産の開示 [テキストブロック]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNoncurrentAssetsHeldForSaleExplanatory" xlink:to="label_DisclosureOfNoncurrentAssetsHeldForSaleExplanatory"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfDiscontinuedOperationsAbstract" xlink:label="DisclosureOfDiscontinuedOperationsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfDiscontinuedOperationsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">非継続事業の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfDiscontinuedOperationsAbstract" xlink:to="label_DisclosureOfDiscontinuedOperationsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfCashAndCashEquivalentsAbstract" xlink:label="DisclosureOfNoncashTransactionsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfNoncashTransactionsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">現金及び現金同等物の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfNoncashTransactionsAbstract" xlink:to="label_DisclosureOfNoncashTransactionsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfCashFlowStatementAbstract" xlink:label="DisclosureOfCashFlowStatementAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfCashFlowStatementAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">キャッシュ・フロー計算書の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfCashFlowStatementAbstract" xlink:to="label_DisclosureOfCashFlowStatementAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract" xlink:label="DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">会計方針の変更、会計上の見積りの変更及び誤謬の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract" xlink:to="label_DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfSharebasedPaymentArrangementsAbstract" xlink:label="DisclosureOfSharebasedPaymentArrangementsAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSharebasedPaymentArrangementsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">株式に基づく報酬契約の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSharebasedPaymentArrangementsAbstract" xlink:to="label_DisclosureOfSharebasedPaymentArrangementsAbstract"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations"/>
    <link:label xlink:type="resource" xlink:label="label_IncomeTaxExpenseContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">税金収益（費用）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncomeTaxExpenseContinuingOperations" xlink:to="label_IncomeTaxExpenseContinuingOperations"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherExpenseByFunction" xlink:label="OtherExpenseByFunction"/>
    <link:label xlink:type="resource" xlink:label="label_OtherExpenseByFunction" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">その他の費用</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherExpenseByFunction" xlink:to="label_OtherExpenseByFunction"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_OtherLongtermProvisions" xlink:label="OtherLongtermProvisions"/>
    <link:label xlink:type="resource" xlink:label="label_OtherLongtermProvisions" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">その他の引当金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherLongtermProvisions" xlink:to="label_OtherLongtermProvisions"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_Inventories" xlink:label="Inventories"/>
    <link:label xlink:type="resource" xlink:label="label_Inventories" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">棚卸資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Inventories" xlink:to="label_Inventories"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_TradeAndOtherCurrentReceivables" xlink:label="TradeAndOtherCurrentReceivables"/>
    <link:label xlink:type="resource" xlink:label="label_TradeAndOtherCurrentReceivables" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">売掛金及びその他の債権</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeAndOtherCurrentReceivables" xlink:to="label_TradeAndOtherCurrentReceivables"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_TradeAndOtherCurrentPayables" xlink:label="TradeAndOtherCurrentPayables"/>
    <link:label xlink:type="resource" xlink:label="label_TradeAndOtherCurrentPayables" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">買掛金及びその他の債務</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TradeAndOtherCurrentPayables" xlink:to="label_TradeAndOtherCurrentPayables"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentProvisions" xlink:label="CurrentProvisions"/>
    <link:label xlink:type="resource" xlink:label="label_CurrentProvisions" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">引当金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentProvisions" xlink:to="label_CurrentProvisions"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentTaxLiabilitiesCurrent" xlink:label="CurrentTaxLiabilitiesCurrent"/>
    <link:label xlink:type="resource" xlink:label="label_CurrentTaxLiabilitiesCurrent" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">当期税金負債</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CurrentTaxLiabilitiesCurrent" xlink:to="label_CurrentTaxLiabilitiesCurrent"/>
    <link:loc xlink:type="locator" xlink:href="ifrs-asr-001_X99002-000_2012-03-31_01_2012-06-28.xsd#ifrs-asr_X99002-000_DisclosureOfTradeAndOtherPayablesAbstract" xlink:label="DisclosureOfPayablesAbstract"/>
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfPayablesAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">買掛金及びその他の債務の開示 [タイトル項目]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfPayablesAbstract" xlink:to="label_DisclosureOfPayablesAbstract"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="loc_161"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/labels/lab_ifrs-ja_2012-03-29.xml#ifrs_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners_totalLabel" xlink:label="res_214" xlink:role="http://www.xbrl.org/2003/role/totalLabel"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_161" xlink:to="res_214" use="prohibited" priority="1"/>
    <link:label xlink:type="resource" xlink:label="label_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="ja">（小計）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_161" xlink:to="label_CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:label="loc_164"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/labels/lab_ifrs-ja_2012-03-29.xml#ifrs_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_totalLabel" xlink:label="res_219" xlink:role="http://www.xbrl.org/2003/role/totalLabel"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_164" xlink:to="res_219" use="prohibited" priority="1"/>
    <link:label xlink:type="resource" xlink:label="label_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xml:lang="ja">（小計）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_164" xlink:to="label_CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_Equity" xlink:label="loc_402"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/labels/lab_ifrs-ja_2012-03-29.xml#ifrs_Equity_periodStartLabel" xlink:label="res_496" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_402" xlink:to="res_496" use="prohibited" priority="1"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/labels/lab_ifrs-ja_2012-03-29.xml#ifrs_Equity_periodEndLabel" xlink:label="res_497" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_402" xlink:to="res_497" use="prohibited" priority="1"/>
    <link:label xlink:type="resource" xlink:label="label_Equity" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xml:lang="ja">当期首残高</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_402" xlink:to="label_Equity"/>
    <link:label xlink:type="resource" xlink:label="label_Equity_2" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xml:lang="ja">当期末残高</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_402" xlink:to="label_Equity_2"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:label="loc_639"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/labels/lab_ifrs-ja_2012-03-29.xml#ifrs_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_label" xlink:label="res_791" xlink:role="http://www.xbrl.org/2003/role/label"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_639" xlink:to="res_791" use="prohibited" priority="1"/>
    <link:label xlink:type="resource" xlink:label="label_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">売却目的で保有する負債</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_639" xlink:to="label_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="loc_689"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/labels/lab_ifrs-ja_2012-03-29.xml#ifrs_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners_label" xlink:label="res_843" xlink:role="http://www.xbrl.org/2003/role/label"/>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_689" xlink:to="res_843" use="prohibited" priority="1"/>
    <link:label xlink:type="resource" xlink:label="label_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:role="http://www.xbrl.org/2003/role/label" xml:lang="ja">売却目的で保有する資産</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_689" xlink:to="label_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_LongtermBorrowings" xlink:label="LongtermBorrowings"/>
    <link:label xlink:type="resource" xlink:label="label_LongtermBorrowings" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">長期借入金</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongtermBorrowings" xlink:to="label_LongtermBorrowings"/>
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2012-03-29/ifrs-cor_2012-03-29.xsd#ifrs_IncreaseDecreaseThroughTreasuryShareTransactions" xlink:label="IncreaseDecreaseThroughTreasuryShareTransactions"/>
    <link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseThroughTreasuryShareTransactions" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xml:lang="ja">自己株式取引による増加（減少）</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseThroughTreasuryShareTransactions" xlink:to="label_IncreaseDecreaseThroughTreasuryShareTransactions"/>
  </link:labelLink>
</link:linkbase>
